import React from "react";

const Favorites = ({ favorites, onRemoveFavorite }) => {
  return (
    <div>
      <h2 className="fav-heading">Favorites Gallery</h2>
      <div className="favorites">
        {favorites.map((cat) => (
          <div key={cat.id} className="cat-item">
            <img src={cat.url} alt="Favorite Cat" />
            <button className="fav-button" onClick={() => onRemoveFavorite(cat.id)}>Remove</button>
          </div>
        ))}
      </div>
    </div>
  );
};

export default Favorites;
